################################################################################
########################## Save scorecard image ################################
################################################################################

##### Image path to save for simple scorecard  ######

save_scorecard_single <- function(system, reference, var, start.year, end.year, scorecard_type){
  
  period <- paste0(start.year, "-", end.year)
  
  # if(plevel==""){
  #   scorecard_save_path <- paste0(fileout, "/", system.filename,
  #                                 "/scorecard-", scorecard_type, "_", system.filename, "_", reference.filename, "_",
  #                                 var.filename, "_", hindcasts.filename, ".png")
  # }else{
  scorecard_save_path <- paste0(fileout, # "/", system,
                                "/scorecard-", scorecard_type, "_", system, "_", reference, "_",
                                var, "_", period, ".png")
  
  
  return(scorecard_save_path)
  
}


##### Image path to save for multi scorecard ######

save_scorecard_multi <- function(model, eval.name, var, start.year, end.year, scorecard_type, region){
  
  period <- paste0(start.year, "-", end.year)
  
  scorecard_save_path <- paste0(fileout, # "/", system,
                                "/scorecard-", scorecard_type, "_multi-", tolower(model), "_", eval.name, "_",
                                var, "_", period, "_", region, ".png")
  
  
  return(scorecard_save_path)
  
}